<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>New Mutants Lethal Legion</Series>
  <Number>3</Number>
  <Web>https://www.amazon.com/dp/B0BWSP9WD1</Web>
  <Summary>LIFE, DEATH AND CLOWNING AROUND? Dani Moonstar, Karma and Galura end up tracking the young New Mutants down at Count Nefaria's mansion, just to enter a scene of pure mayhem. A throwdown between a depowered Gabby and a murderous Count Nefaria, Cerebella trapped inside the Count's secret vault of treasures and horrors and a drunk Escapade (she'll never touch grappa again!) going blow for blow against Skullbuster - looks like the supposed "covert" heist has turned into a circus. Meanwhile, Wolfsbane and Morgan's beastly encounter turns into a moment of discovery.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BWSP9WD1], [RELDATE:2023-05-24]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
